
#include <stdlib.h>
#include <exception>
#include <iostream>
#include <fstream>

#include <Eigen/Dense>


#include <hark-lib/node.h>
#include <hark-lib/network.h>
#include <hark-lib/datastream.h>
#include <hark-lib/dispatch.h>
#include <hark-lib/internal/thread.h>

#include <hark-lib/input.h>

#include <hark-lib/matrix.h>
#include <hark-lib/tensor.h>
#include <hark-lib/source.h>
#include <hark-lib/timepoint.h>
#include <hark-lib/tf.h>


#include <hark-lib/node/AND.h>
#include <hark-lib/node/Constant.h>
#include <hark-lib/node/Delay.h>
#include <hark-lib/node/Equal.h>
#include <hark-lib/node/Greater.h>
#include <hark-lib/node/GreaterEqual.h>
#include <hark-lib/node/IF.h>
#include <hark-lib/node/InputStream.h>
#include <hark-lib/node/IterCount.h>
#include <hark-lib/node/Iterate.h>
#include <hark-lib/node/NOP.h>
#include <hark-lib/node/NOT.h>
#include <hark-lib/node/OR.h>
//#include <hark-lib/node/Sleep.h>
#include <hark-lib/node/Smaller.h>
#include <hark-lib/node/SmallerEqual.h>


#include <hark-lib/node/AudioStreamFromMemory.h>
#include <hark-lib/node/AudioStreamFromWave.h>
//#include <hark-lib/node/BF.h>
#include <hark-lib/node/BGNEstimator.h>
#include <hark-lib/node/CMChannelSelector.h>
#include <hark-lib/node/CMConjEachElement.h>
#include <hark-lib/node/CMDivideEachElement.h>
#include <hark-lib/node/CMIdentityMatrix.h>
#include <hark-lib/node/CMInverseMatrix.h>
#include <hark-lib/node/CMLoad.h>
#include <hark-lib/node/CMMakerFromFFT.h>
#include <hark-lib/node/CMMakerFromFFTwithFlag.h>
#include <hark-lib/node/CMMultiplyEachElement.h>
#include <hark-lib/node/CMMultiplyMatrix.h>
#include <hark-lib/node/CMSave.h>
//#include <hark-lib/node/CSP.h>
#include <hark-lib/node/CalcSpecAddPower.h>
#include <hark-lib/node/CalcSpecSubGain.h>
#include <hark-lib/node/ChannelSelector.h>
#include <hark-lib/node/CombineMap.h>
#include <hark-lib/node/CombineSource.h>
#include <hark-lib/node/ConstantLocalization.h>
//#include <hark-lib/node/DataLogger.h>
#include <hark-lib/node/Delta.h>
//#include <hark-lib/node/DeltaMask.h>
//#include <hark-lib/node/DeltaPowerMask.h>
#include <hark-lib/node/DisplayLocalization.h>
#include <hark-lib/node/EstimateLeak.h>
//#include <hark-lib/node/EstimateTF.h>
#include <hark-lib/node/FeatureRemover.h>
#include <hark-lib/node/GHDSS.h>
//#include <hark-lib/node/HRLE.h>
//#include <hark-lib/node/HarkDataStreamSender.h>
//#include <hark-lib/node/HarkParamDynReconf.h>
//#include <hark-lib/node/LoadMapFrames.h>
//#include <hark-lib/node/LoadSourceFrames.h>
//#include <hark-lib/node/LoadVectorFrames.h>
//#include <hark-lib/node/LocalizeBFDS.h>
#include <hark-lib/node/LocalizationMUSIC.hpp>
#include <hark-lib/node/LocalizeMUSIC.h>
//#include <hark-lib/node/MFCCExtraction.h>
//#include <hark-lib/node/MFMGeneration.h>
//#include <hark-lib/node/ML.h>
#include <hark-lib/node/MSLSExtraction.h>
//#include <hark-lib/node/MSNR.h>
//#include <hark-lib/node/MVDR.h>
//#include <hark-lib/node/MapIDOffset.h>
//#include <hark-lib/node/MapMatrixValueOverwrite.h>
//#include <hark-lib/node/MapOperator.h>
//#include <hark-lib/node/MapSelectorBySource.h>
//#include <hark-lib/node/MapToMap.h>
//#include <hark-lib/node/MapToMatrix.h>
//#include <hark-lib/node/MapToVector.h>
//#include <hark-lib/node/MapVectorValueOverwrite.h>
//#include <hark-lib/node/MatrixToMap.h>
//#include <hark-lib/node/MatrixToVector.h>
//#include <hark-lib/node/MatrixValueOverwrite.h>
#include <hark-lib/node/MelFilterBank.h>
//#include <hark-lib/node/MultiDownSampler.h>
#include <hark-lib/node/MultiFFT.h>
#include <hark-lib/node/MultiGain.h>
//#include <hark-lib/node/MultiLocalizationIntegrator.h>
//#include <hark-lib/node/NormalizeMUSIC.h>
//#include <hark-lib/node/PlayAudio.h>
//#include <hark-lib/node/PostFilter.h>
#include <hark-lib/node/PowerCalcForMap.h>
#include <hark-lib/node/PowerCalcForMatrix.h>
#include <hark-lib/node/PreEmphasis.h>
//#include <hark-lib/node/ResizeMapMatrixValue.h>
//#include <hark-lib/node/ResizeMapVectorValue.h>
#include <hark-lib/node/SaveFeatures.h>
#include <hark-lib/node/SaveHTKFeatures.h>
//#include <hark-lib/node/SaveMapFrames.h>
//#include <hark-lib/node/SaveMatrixFrames.h>
//#include <hark-lib/node/SaveRawPCM.h>
//#include <hark-lib/node/SaveSourceLocation.h>
//#include <hark-lib/node/SaveVectorFrames.h>
#include <hark-lib/node/SaveWavePCM.h>
//#include <hark-lib/node/SegmentAudioStreamByID.h>
#include <hark-lib/node/SemiBlindICA.h>
#include <hark-lib/node/SourceIntervalExtender.h>
//#include <hark-lib/node/SourceSelectorByDirection.h>
//#include <hark-lib/node/SourceSelectorByID.h>
//#include <hark-lib/node/SourceSelectorBySourceInfo.h>
#include <hark-lib/node/SourceTracker.h>
//#include <hark-lib/node/SourceTrackerPF.h>
//#include <hark-lib/node/SourceTransformer.h>
#include <hark-lib/node/SpectralGainFilter.h>
//#include <hark-lib/node/SpectralMeanNormalization.h>
#include <hark-lib/node/SpectralMeanNormalizationIncremental.h>
#include <hark-lib/node/SpeechRecognitionClient.h>
//#include <hark-lib/node/SpeechRecognitionSMNClient.h>
#include <hark-lib/node/SubscriberFLAC.h>
#include <hark-lib/node/Synthesize.h>
//#include <hark-lib/node/TextConcatnate.h>
//#include <hark-lib/node/TextConverter.h>
#include <hark-lib/node/VADZC.h>
//#include <hark-lib/node/VectorToMap.h>
//#include <hark-lib/node/VectorToMatrix.h>
//#include <hark-lib/node/VectorToVector.h>
//#include <hark-lib/node/VectorValueOverwrite.h>
#include <hark-lib/node/WhiteNoiseAdder.h>

#include <hark-lib/node/PublishData.h>
#include <hark-lib/node/SubscribeData.h>

//#include <hark-lib/node/PlotQuickSourceKivy.h>

#include <hark-lib/node/Print.h>

////#include "offline.h"


